Name: f90gl
Summary: Fortran 90 bindings for OpenGL and GLU
Version: 1.2.14
Release: alt2
Group: Development/Tools
License: GPL v2
URL: http://math.nist.gov/f90gl/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: http://math.nist.gov/f90gl/f90gl-1.2.14.tar.gz
Source1: http://math.nist.gov/~WMitchell/papers/nistir6134.pdf
Source2: glopt.h
Source3: fpprinc.h

Requires: lib%name-devel = %version-%release

BuildPreReq: libGLUT-devel libGL-devel libGLU-devel libX11-devel
BuildPreReq: libXext-devel libXaw-devel libXi-devel gcc-fortran

%description
f90gl is a public domain implementation of the official Fortran 90 bindings
for OpenGL and GLU, and the application of those bindings to GLUT.

%package doc
Summary: Documentation for f90gl
Group: Development/Documentation
BuildArch: noarch

%description doc
f90gl is a public domain implementation of the official Fortran 90 bindings
for OpenGL and GLU, and the application of those bindings to GLUT.

This package contains development documentation for f90gl.

%package examples
Summary: Examples of f90gl
Group: Development/Documentation
Requires: libGLUT

%description examples
f90gl is a public domain implementation of the official Fortran 90 bindings
for OpenGL and GLU, and the application of those bindings to GLUT.

This package contains examples of f90gl.

%package -n lib%name-devel
Summary: Static development files of f90gl
Group: Development/Other
Requires: libGL-devel libGLU-devel libGLUT-devel

%description -n lib%name-devel
f90gl is a public domain implementation of the official Fortran 90 bindings
for OpenGL and GLU, and the application of those bindings to GLUT.

This package contains static development files of f90gl.

%prep
%setup
install -p -m644 %SOURCE2 %SOURCE3 util

%build
mkdir -p include/GL lib
%make_build -f mf8lum2 MESAHOME=%prefix

pushd examples
%make_build -f mf8lum2
popd

%install
install -d %buildroot%_libdir
install -d %buildroot%_includedir/GL
install -d %buildroot%_docdir/%name-%version
install -d %buildroot%_libdir/%name-examples

install -p -m644 lib/* %buildroot%_libdir
install -p -m644 include/GL/* %buildroot%_includedir/GL
install -p -m644 README USRGUIDE %SOURCE1 \
	%buildroot%_docdir/%name-%version

cp -fR examples/* %buildroot%_libdir/%name-examples

%files
%doc %dir %_docdir/%name-%version
%doc %_docdir/%name-%version/README

%files doc
%doc %dir %_docdir/%name-%version
%doc %_docdir/%name-%version/*
%exclude %_docdir/%name-%version/README

%files -n lib%name-devel
%_libdir/*
%exclude %_libdir/%name-examples
%_includedir/GL/*

%files examples
%_libdir/%name-examples

%changelog
* Wed Jul 15 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.2.14-alt2
- Removed dummy functions from glut/cwrapglt.c 

* Wed Jul 15 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.2.14-alt1
- Initial build for Sisyphus

